Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IProtocolFactory``

interface documentation

`class IProtocolFactory(Interface): (source)`

Known implementations: `twisted.internet.protocol.Factory`, `twisted.application._client_service._DisconnectFactory`

View In Hierarchy

Interface for protocol factories.

Method | `buildProtocol` | Called when a connection has been established to addr.
Method | `doStart` | Called every time this is connected to a Port or Connector.
Method | `doStop` | Called every time this is unconnected from a Port or Connector.

def buildProtocol(addr: `IAddress`) -> `IProtocol | None`: (source)

Called when a connection has been established to addr.

If None is returned, the connection is assumed to have been refused, and the Port will close the connection.

Parameters
addr:`IAddress` | The address of the newly-established connection

Returns
`IProtocol | None` | None if the connection was refused, otherwise an object providing `IProtocol`.

def doStart(): (source)

Called every time this is connected to a Port or Connector.

def doStop(): (source)

Called every time this is unconnected from a Port or Connector.